export type Mood = {
  label: string,
  color: string,
  icon: string,
}

export type PossibleMood = 'happy' | 'sad' | 'angry' | 'disappointed' | 'empty' | 'sick' | 'dead' | 'pissed'

const happy = {
  label: 'Glücklich',
  color: 'happy',
  icon: 'happy-line',
}

const sad = {
  label: 'Traurig',
  color: 'sad',
  icon: 'unhappy-line',
}

const angry = {
  label: 'Wütend',
  color: 'angry',
  icon: 'angry-line',
}

const disappointed = {
  label: 'Enttäuscht',
  color: 'disappointed',
  icon: 'confused-line',
}

const empty = {
  label: 'Leer',
  color: 'empty',
  icon: 'look-down-line',
}

const sick = {
  label: 'Krank',
  color: 'sick',
  icon: 'sick-line',
}

const dead = {
  label: 'Tot',
  color: 'dead',
  icon: 'skull-line',
}

const pissed = {
  label: 'Genervt',
  color: 'pissed',
  icon: 'sweats-line',
}

export const moods : Record<PossibleMood, Mood> = {
  happy,
  sad,
  angry,
  disappointed,
  empty,
  sick,
  dead,
  pissed,
}